[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'DB' (#fcl)

# IProviderSupport.PSGetKeyFields

Return a list of key fields in the dataset

## Declaration

Source position: db.pas line 1423

`function IProviderSupport.PSGetKeyFields: string;`

## Function result

Semicolon separated list of fieldnames which form the unique key for a record.

## Description

PSGetKeyFields returns a semicolon-separated list of fieldnames that make up the unique key for a record. Normally, these are the names of the fields that have pfInKey in their ProviderOptions property.

## See also

PSGetIndexDefs
PSGetDefaultOrder
TField.ProviderOptions
TProviderFlags |  | Set of TProviderFlag flags